1. Analytics
  • Auth Module
    • Merchant
      • Register Merchant
      • Login Merchant
    • User
      • Register User
      • Login User
    • OTP
      • Send OTP
      • Verify OTP
      • Reset Password
    • Token
      • Refresh Access Token
      • Logout
    • OAuth
      • Google
        • Initiate Google Sign-In (User)
        • Google Callback (User)
        • Initiate Google Sign-In (Merchant)
        • Google Callback (Merchant)
      • Exchange OAuth Code
      • Complete Merchant Profile (OAuth)
  • Merchants Module
    • Banks
      • List Banks
      • Resolve Bank Account
    • Profile
      • Get My Profile
      • Update My Profile
      • Update Avatar
    • Contests
      • List My Contests
      • Create Contest
      • Get Contest
      • Update Contest
      • Cancel Contest
    • Entries
      • Add Entry
      • Remove Entry
    • Analytics
      • Get Contest Analytics
        GET
      • Get Merchant Analytics
        GET
    • Payouts
      • Save Bank Details
      • Get Bank Details
      • Get Payout Summary
      • List Payout Requests
      • Get Payout Request
    • KYC
      • Submit BVN
      • Submit NIN
      • Get KYC Status
  • Users Module
    • Get My Profile
      GET
    • Update My Profile
      PUT
    • Get My Vote History
      GET
  • Payments Module
    • Webhooks
      • Paystack Webhook
      • Flutterwave Webhook
      • Payout Webhook (Payouts)
    • Initiate Payment
      POST
    • Get Transaction Status
      GET
  • Admin Module
    • Dashboard
      • Get Platform Dashboard
    • Merchants
      • List Merchants
      • Get Merchant Detail
      • Ban Merchant
      • Approve Merchant
      • Suspend Merchant
    • Users
      • List Users
      • Get User Detail
      • Suspend User
      • Ban User
    • Contests
      • List Contests
      • Get Contest Detail
      • Cancel Contest
      • Approve Contest
    • Transactions
      • List Transactions
      • Get Transaction Detail
    • Audit Logs
      • List Audit Logs
    • Settings
      • Get Platform Settings
      • Update Platform Settings
    • RBAC
      • Roles
        • List Available Permissions
        • List Roles
        • Create Role
        • Get Role Detail
        • Update Role
        • Delete Role
      • Admins
        • List Admins
        • Create Admin
        • Get Admin Detail
        • Update Admin
        • Update Admin Status
        • Force Logout Admin
    • Admin Profile
      • Update 2FA Channel
    • Payouts
      • Create Payout Request (Admin)
      • List Payout Requests (Admin)
      • Get Payout Request (Admin)
      • Approve Payout Request
      • Process Payout Request
      • Cancel Payout Request
      • Get Merchant Payout Summary (Admin)
    • Terms of Service
      • Publish New ToS Version
      • List All ToS Versions (Admin)
      • List ToS Acceptances
      • Get Actor ToS History
    • Data Erasure
      • List Erasure Requests
      • Get Erasure Request Detail
      • Execute Erasure Request
    • Queue Management
      • Get Queue Status
      • List Failed (DLQ) Jobs
      • Retry Failed Job
      • Discard Failed Job
      • Retry All Failed Jobs
      • Discard All Failed Jobs
    • Webhook Deliveries
      • List Webhook Deliveries
      • Get Webhook Delivery Detail
      • Retry Webhook Delivery
      • Discard Webhook Delivery
    • Fraud Detection
      • Get Fraud Dashboard
      • List Fraud Flags
      • Get Fraud Flag Detail
      • Resolve Fraud Flag
    • KYC
      • List Merchant KYC Records
      • Get KYC Service Status
      • Switch KYC Provider
      • Get Merchant KYC Detail
      • Review Merchant KYC
    • Login Admin
      POST
    • Verify Admin 2FA (Step 2)
      POST
  • Uploads Module
    • Upload File
  • Public Access Module
    • Entries Module
      • List Contest Entries
      • Get Entry Detail
    • Votes Module
      • Cast Free Vote
    • Contests Module
      • List Public Contests
      • Get Contest Detail
    • Activity
      • Get Contest Activity
      • Stream Contest Activity (SSE)
  • Terms of Service Module
    • Get Current ToS
    • Get ToS History
    • Get ToS By Version
    • Accept Current ToS
  • Data Erasure Module
    • Submit Erasure Request
    • Confirm Erasure (Email Token)
    • Cancel Erasure (Email Token)
    • Get Export Status
    • Download Data Export
  • Monitoring Module
    • Get Prometheus Metrics
  • Health Check
    GET
  • API Root
    GET
  1. Analytics

Get Merchant Analytics

GET
https://stageapi.partake.ng/api/v2/merchants/me/analytics
Last modified:2026-07-10 13:15:30
Maintainer:Not configured

Request

Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://stageapi.partake.ng/api/v2/merchants/me/analytics' \
--header 'Authorization: Bearer {{accessToken}}' \
--header 'Content-Type: application/json'
Response Response Example
{
    "success": true,
    "message": "Dashboard analytics retrieved successfully.",
    "data": {
        "summary": {
            "monthEarnings": 18810,
            "activeContests": 1,
            "totalVotes": 232
        },
        "cards": {
            "totalRevenue": 20900,
            "yourEarnings": 18810,
            "platformFee": 2090,
            "activeContests": 1
        },
        "revenueAndVotesLast7Days": [
            {
                "date": "2026-05-06",
                "votes": 215,
                "revenue": 20900
            },
            {
                "date": "2026-05-07",
                "votes": 17,
                "revenue": 0
            }
        ],
        "voteMixThisMonth": [
            {
                "type": "free",
                "votes": 23,
                "percentage": 10
            },
            {
                "type": "paid",
                "votes": 209,
                "percentage": 90
            }
        ],
        "activeContests": [
            {
                "contestId": "71eff5db-b0de-49be-8d7a-b1df86ecea16",
                "title": "St Kizito King and Queen Competition",
                "bannerImageUrl": "https://res.cloudinary.com/jobizil/image/upload/v1778577320/ivoteng-dev/contest_banners/9e93cff6-fd01-4b86-89fc-d31a28327788.jpg.jpg",
                "votingType": "free",
                "endDate": "2026-05-26T00:00:00.000Z",
                "totalVotes": 0,
                "totalEntries": 4
            }
        ],
        "topEntries": [
            {
                "entryId": "5c558ce4-3aad-4a72-aea0-07e99cba2bbf",
                "entryName": "Sunny Scandam",
                "voteCount": 101,
                "percentage": 44,
                "contest": {
                    "contestId": "7375012d-a70c-4780-891b-68cf268cd4fd",
                    "title": "Miss iVoteNg 2026"
                }
            },
            {
                "entryId": "433f17fe-3210-40fc-85cc-56d0d5d58fb6",
                "entryName": "Chidinma Okafor",
                "voteCount": 99,
                "percentage": 43,
                "contest": {
                    "contestId": "7375012d-a70c-4780-891b-68cf268cd4fd",
                    "title": "Miss iVoteNg 2026"
                }
            },
            {
                "entryId": "edd477de-f21e-4b36-9e05-23eda32ee20b",
                "entryName": "Jay Anne",
                "voteCount": 18,
                "percentage": 8,
                "contest": {
                    "contestId": "7cb295ce-bde2-409c-a00d-02a13bb2161f",
                    "title": "Miss Nigeria 2026"
                }
            },
            {
                "entryId": "05ded9b3-64fa-48c8-bf5b-068d62befd84",
                "entryName": "Faustina Anne",
                "voteCount": 9,
                "percentage": 4,
                "contest": {
                    "contestId": "7375012d-a70c-4780-891b-68cf268cd4fd",
                    "title": "Miss iVoteNg 2026"
                }
            },
            {
                "entryId": "215a7a0e-412e-4a0c-9404-5007fd1afa8a",
                "entryName": "Bryanne Adam",
                "voteCount": 5,
                "percentage": 2,
                "contest": {
                    "contestId": "7cb295ce-bde2-409c-a00d-02a13bb2161f",
                    "title": "Miss Nigeria 2026"
                }
            }
        ]
    }
}
Modified at 2026-07-10 13:15:30
Previous
Get Contest Analytics
Next
Save Bank Details
Built with